export const constantRoutes: any[] = [
  {
    name: 'login',
    path: '/login',
    component: () => import('@/views/login/index'),
    meta: {
      title: '登录',
      singleLayout: 'blank'
    }
  },
  {
    name: '/Layout',
    path: '/',
    component: () => import('@/components/layout/index'),
    children: [
      {
        //默认 显示home组件
        path: '',
        name: 'Home',
        component: () => import('@/views/home/index')
      },
      {
        name: 'prepare-lessons',
        path: '/prepare-lessons',
        component: () => import('@/views/prepare-lessons/index'),
        meta: {
          title: '备课',
          singleLayout: 'blank'
        }
      }
    ]
  },
  {
    name: 'attend-class',
    path: '/attend-class',
    component: () => import('@/views/attend-class/index'),
    meta: {
      title: '开始上课',
      singleLayout: 'blank'
    }
  },
  {
    name: '404',
    path: '/404',
    component: () => import('@/views/404/index'),
    meta: {
      title: '未找到',
      singleLayout: 'blank'
    }
  },
  // 匹配无效路径的路由
  {
    name: 'not-found',
    path: '/:path(.*)*',
    component: () => import('@/views/404/index'),
    meta: {
      title: '未找到',
      singleLayout: 'blank'
    }
  }
];
